package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 居民车辆关联对象 szxc_jm_car
 *
 * @author hs
 * @date 2024-03-30
 */
public class SzxcJmCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 车辆id */
    @Excel(name = "车辆id")
    private Long carId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setCarId(Long carId)
    {
        this.carId = carId;
    }

    public Long getCarId()
    {
        return carId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("jmId", getJmId())
                .append("carId", getCarId())
                .toString();
    }
}
